Bug 1654996 - [RHHI] thinpool - skip_block_zeroing is not happening when lvm is created using gdeploy
Summary: [RHHI] thinpool - skip_block_zeroing is not happening when lvm is created usi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gdeploy
Version: rhgs-3.4
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: RHGS 3.4.z Batch Update 2
Assignee: Sachidananda Urs
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks: 1655529
TreeView+ depends on / blocked
 
Reported: 2018-11-30 09:55 UTC by Sachidananda Urs
Modified: 2018-12-17 17:07 UTC (History)
10 users (show)

Fixed In Version: gdeploy-2.0.2-31
Doc Type: Bug Fix
Doc Text:
Previously, block zeroing was not skipped while creating thinlvs which impacted system performance. With this update, the --zero n option is set while creating thin logical volumes which leads to performance improvement.
Clone Of:
: 1655529 (view as bug list)
Environment:
Last Closed: 2018-12-17 17:07:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:3830 0 None None None 2018-12-17 17:07:39 UTC

Description Sachidananda Urs 2018-11-30 09:55:28 UTC
Description of problem:

Thinpool block zero should be skipped while setting up LVM for RHHI.
However, when backend setup is done using gdeploy, block zeroing is happening.

The configuration file to test:

$ cat backend.conf 
[hosts]
10.70.41.252

[pv]
action=create
devices=vdc

[vg]
action=create
vgname=RHS_vg1
pvname=vdc

[lv]
action=create
vgname=RHS_vg1
lvname=engine_lv
lvtype=thinpool
poolmetadatasize=10MB

Comment 2 Sachidananda Urs 2018-12-03 04:37:56 UTC
The output should look like:

[root@rhs31-c ~]# dmsetup table
RHS_vg1-GLUSTER_pool: 0 104800256 thin-pool 253:2 253:3 512 0 1 skip_block_zeroing 
RHS_vg1-GLUSTER_pool_tdata: 0 104800256 linear 252:32 25088
RHS_vg1-GLUSTER_pool_tmeta: 0 24576 linear 252:32 104825344
rhgs_dhcp41--223-swap: 0 4194304 linear 252:2 2048
rhgs_dhcp41--223-root: 0 35643392 linear 252:2 4196352

With skip_block_zeroing for the lv created by gdeploy.

Comment 3 Sachidananda Urs 2018-12-03 06:36:41 UTC
Patch posted at: https://github.com/gluster/gdeploy/pull/520

Comment 7 SATHEESARAN 2018-12-07 16:54:38 UTC
Tested with gdeploy-2.0.2-31.el7rhgs

Now thinpool zeroing is skipped while creating thinpool using gdeploy conf file as mentioned in comment0

<snip>
[root@ ~]# dmsetup table | grep -i zero
gluster_vg_sdd-gluster_thinpool_sdd-tpool: 0 4294967296 thin-pool 253:15 253:16 2048 0 1 skip_block_zeroing 
</snip>

Comment 11 errata-xmlrpc 2018-12-17 17:07:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3830


Note You need to log in before you can comment on or make changes to this bug.